CREATE procedure [C6Mart].[PL_D2_S155PatrimonioImmobiliare_20190107_ProQuota] 
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	--select t.descrizione, t.tipologia, t.localita, t.affittoPercepito, t.valore, t.totale 
	SELECT 
			PATRIMONIO_IMMOBILIARE.DESCRIZIONE AS Descrizione,
			PATRIMONIO_IMMOBILIARE.TIPOLOGIA AS Tipologia,
			PATRIMONIO_IMMOBILIARE.LOCALITA AS Localita,
			isnull(PATRIMONIO_IMMOBILIARE.AFFITTO,0) AS AffittoPercepito,
			PATRIMONIO_IMMOBILIARE.valore_stimato AS Valore,
			SUM(PATRIMONIO_IMMOBILIARE.VALORE_STIMATO) OVER (PARTITION BY 'Totale') as Totale,
			SUM(isnull(PATRIMONIO_IMMOBILIARE.AFFITTO,0)) OVER (PARTITION BY 'TotaleAffitto') as TotaleAffitto,
			PATRIMONIO_IMMOBILIARE_PROQUOTA.Valore_Stimato_ProQuota AS ValoreProQuota,
			PATRIMONIO_IMMOBILIARE_PROQUOTA.Tipologia_Diritto as TipologiaDiritto,
			PATRIMONIO_IMMOBILIARE_PROQUOTA.ProQuota as ProQuota,
			SUM(PATRIMONIO_IMMOBILIARE_PROQUOTA.VALORE_STIMATO_PROQUOTA) OVER (PARTITION BY 'TotaleProQuota') as TotaleProQuota
	from C6MART.PATRIMONIO_IMMOBILIARE PATRIMONIO_IMMOBILIARE
		left join C6Mart.Patrimonio_Immobiliare_ProQuota PATRIMONIO_IMMOBILIARE_PROQUOTA
		on PATRIMONIO_IMMOBILIARE.RETE = PATRIMONIO_IMMOBILIARE_PROQUOTA.RETE
		and PATRIMONIO_IMMOBILIARE.COD_FISCALE = PATRIMONIO_IMMOBILIARE_PROQUOTA.COD_FISCALE
	WHERE PATRIMONIO_IMMOBILIARE.RETE = @Rete
		AND PATRIMONIO_IMMOBILIARE.COD_FISCALE = @CodiceFiscale
	ORDER BY 5 DESC
END